%define name	uqm
%define version	0.6.2
%define release %mkrel 2
%define	title		Ur-Quan Masters
%define	longtitle	The Ur-Quan Masters

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The Ur-Quan Masters
License:	GPL
Group:		Games/Strategy
URL:		http://sc2.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/sc2/%{name}-%{version}-source.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Patch0:		%{name}-0.6.2-build.patch
Requires:	%{name}-content
BuildRequires:	SDL-devel >= 1.2.3
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libmikmod-devel
BuildRequires:	mesaglu-devel
ExcludeArch:	x86_64 amd64
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Ur-Quan Masters is a port of the 3DO version of Star Control 2.

%prep
%setup -q -n %{name}-%{version}/sc2
%patch -p 2
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png

# create configuration
cat > config.state <<EOF
CHOICE_debug_VALUE='nodebug'
CHOICE_graphics_VALUE='opengl'
CHOICE_sound_VALUE='mixsdl'
CHOICE_ioformat_VALUE='stdio_zip'
INPUT_install_prefix_VALUE='%{_gamesbindir}'
INPUT_install_bindir_VALUE='%{_gamesbindir}'
INPUT_install_libdir_VALUE='%{_libdir}'
INPUT_install_sharedir_VALUE='%{_gamesdatadir}'
EOF

%build
./build.sh uqm < /dev/null

%install
rm -rf %{buildroot}
perl -pi -e 's|%{_prefix}|%{buildroot}%{_prefix}|' build.vars
./build.sh uqm install

# icons
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png

# menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game/Strategy
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING WhatsNew ChangeLog README Contributing
%doc doc/users/manual.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.2-2mdv2007.0
+ Revision: 121003
- drop versioning on content dependency

* Wed Jan 24 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.2-1mdv2007.1
+ Revision: 112948
- fix build dependencies
- new version
- rediff build patch
- new version
- Import uqm



* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-3mdv2007.0
- fix buildrequires
- xdg menu

* Thu May 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-2mdk
- excludes x86_64 arch, as it contains uncompatible assembler code

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdk
- New release 0.5.0

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-3mdk
- fix x86_64 build
- %%mkrel

* Mon May 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-2mdk 
- requires %{name}-content = %{version}

* Sat May 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-1mdk
- New release 0.4.0
- fix build
- correct optimisations
- fix menu entry
- spec cleanup

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-3mdk 
- rpmbuildupdate aware
- fixed menu category

* Sat Nov 08 2003 Michael Scherer <scherer.michael@free.fr> 0.3-2mdk
- BuildRequires ( libMesaGLU-devel )

* Thu Sep 25 2003 Michael Scherer <scherer.michael@free.fr> 0.3-1mdk
- 0.3 alpha
- drop patch0
 
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1-2mdk
- rebuild

* Mon Dec 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1-1mdk
- initial mdk package, based on Ville Skytt <ville.skytta at iki.fi> work
